source 'git@github.com:DDIsFriend/DDSpecs.git'
source 'https://github.com/CocoaPods/Specs.git'

platform :ios, '13.0'

target 'OrderScheduling' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_modular_headers!

#  pod 'CocoaDebug', :configurations => ['Debug']
  pod 'CocoaDebug'
  pod 'ESTabBarController-swift'
  pod 'DDCategoryKit_Private'
  pod 'DDBasicControlsKit_Private'
  pod 'DDColorKit_Private'
  pod 'DDFontKit_Private'
  pod 'IQKeyboardManagerSwift'
  pod 'DDMAMapKit_Private'
  pod 'SnapKit'
  pod 'DDAutoUIKit_Private'
  pod 'RxSwift'
  pod 'RxRelay'
  pod 'RxCocoa'
  pod 'DDTimerKit_Private'
  pod 'DDToastKit_Private'
  pod 'DDNetworkingOfAlamofireKit_Private'
  pod 'DDProgressHUDKit_Private'
  pod 'JXCategoryView'
  pod 'DDControlsKit_Private'
  pod 'SwiftEntryKit'
  pod 'MJRefresh'
  pod 'DDWebImageKit_Private'
  pod 'ZLPhotoBrowser'
  pod 'ZFPlayer',:path=> '/Users/zd/Downloads/iOS相关/ZFPlayer-master'
  pod 'ZFPlayer/ControlView',:path=> '/Users/zd/Downloads/iOS相关/ZFPlayer-master'
  pod 'ZFPlayer/ijkplayer',:path=> '/Users/zd/Downloads/iOS相关/ZFPlayer-master'
  pod 'JPush'
#  pod 'JPushExtension'

#  pod 'ZFPlayer', '~> 4.0'
#  pod 'ZFPlayer/ControlView'
#  pod 'ZFPlayer/ijkplayer'
#  pod 'ZFPlayer/AVPlayer'

  post_install do |installer|
      installer.pods_project.targets.each do |target|
        target.build_configurations.each do |config|
          config.build_settings["EXCLUDED_ARCHS[sdk=iphonesimulator*]"] = "arm64"
          config.build_settings["DEVELOPMENT_TEAM"] = "W4SG324NS4"
        end
      end
      
      installer.pods_project.targets.each do |target|
            target.build_configurations.each do |config|
              if (config.name <=> 'Pre-Release') == 0
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] ||= ['$(inherited)']
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] << 'PRERELEASE'
              end
              if (config.name <=> 'Release') == 0
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] ||= ['$(inherited)']
                config.build_settings['SWIFT_ACTIVE_COMPILATION_CONDITIONS'] << 'RELEASE'
              end
            end
      end
  end
end

target 'OrderSchedulingNotificationService' do
  pod 'JPush'
  pod 'JPushExtension'
end
